> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all groups

> Retrieves all groups in the organization.



## OpenAPI

````yaml v2 get /rbac/groups
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://api.axiom.co/v2/
security:
  - bearerAuth: []
paths:
  /rbac/groups:
    get:
      tags:
        - rbac
      summary: List all groups
      description: Retrieves all groups in the organization.
      operationId: listGroups
      responses:
        '200':
          description: A list of groups was successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GroupWithID'
      security:
        - Auth:
            - rbac|read
components:
  schemas:
    GroupWithID:
      description: Extends the base Group type to include a unique identifier
      allOf:
        - $ref: '#/components/schemas/Group'
        - type: object
          required:
            - id
          properties:
            id:
              description: Unique identifier for the group
              type: string
    Group:
      description: Defines a group of users for organizational purposes
      type: object
      required:
        - name
      properties:
        description:
          description: Detailed description of the group's purpose and scope
          type: string
        isManaged:
          description: Whether the group is managed by Axiom
          type: boolean
          readOnly: true
        members:
          description: List of user IDs that are assigned to this group
          type: array
          items:
            type: string
        name:
          description: Unique name identifier for the group
          type: string
        roles:
          description: List of role IDs that are assigned to this group
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````

Built with [Mintlify](https://mintlify.com).